Draft B-spline

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft BSpline and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft Polygon.svg Polygone

Draft BSpline.svg Draft B-spline

Emplacement du menu
Drafting → B-spline
Ateliers
Draft, Arch
Raccourci par défaut
B S
Introduit dans la version
0.7
Voir aussi
Draft Polyligne, Draft Courbe de Bézier cubique, Draft Courbe de Bézier

Description

La commande Draft BSpline.svg Draft B-spline crée une courbe B-spline à partir de plusieurs points.

La commande Draft B-spline spécifie les points exacts par lesquels la courbe passera. Les commandes Draft Courbe de Bézier et Draft Courbe de Bézier cubique, en revanche, utilisent des points de contrôle pour définir la position et la courbure de la spline.

Draft bspline example.jpg

Spline definie par plusieurs points

Utilisation

Voir aussi: Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le bouton Draft BSpline.svg Créer une courbe B-spline....
    • Sélectionnez l'option Drafting → Draft BSpline.svg B-spline dans le menu.
    • Utilisez le raccourci clavier : B puis S.
  2. Le panneau de tâches B-spline s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez des points supplémentaires dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  5. Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées sont relatives au dernier point, si disponible, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur L ou cliquez sur la case Rempli pour activer le mode de remplissage. Si le mode rempli est activé, la spline créée aura la valeur DonnéesMake Face true et aura une face remplie, à condition qu'elle soit fermée et ne s'auto-intersectionne pas. Notez qu'une spline qui s'auto-intersecte avec une face ne s'affichera pas correctement, pour une telle spline, DonnéesMake Face doit être définie sur false.
  • Appuyez sur T ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir utilisé Draft FinishLine.svg Terminer ou Draft CloseLine.svg Fermer, ou après avoir créé une spline fermée en l'accrochant au premier point de la spline, ce qui vous permet de continuer à créer des splines.
  • Appuyez sur le bouton Draft UndoLine.svg Annuler pour annuler le dernier point. Le raccourci clavier Ctrl+Z ne fonctionne pas actuellement.
  • Appuyez sur A ou sur le bouton Draft FinishLine.svg Terminer pour terminer la commande et laisser la cannelure ouverte.
  • Appuyez sur O ou sur le bouton Draft CloseLine.svg Fermer pour terminer la commande et fermer la courbe. Une spline fermée peut également être créée en s'accrochant au premier point de la spline.
  • Appuyez sur W ou sur le bouton Draft Wipe.svg Effacer pour supprimer les segments de courbe déjà placés, mais continuez à travailler à partir du dernier point.
  • Appuyez sur U ou sur le bouton Draft SelectPlane.svg Définir le plan de travail pour ajuster le plan de travail actuel dans l'orientation définie par le dernier et le précédent point.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande.

Remarques

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier la valeur initiale du mode rempli : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Remplir les objets avec des faces si possible. La modification du mode rempli dans un panneau de tâches annule cette préférence pour la session FreeCAD en cours.

Propriétés

Voir aussi: Éditeur de propriétés

Un objet Draft B-spline est dérivée d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face de la spline. La valeur sera 0.0 si DonnéesMake Face est false ou si la face ne peut être créée.
  • DonnéesClosed (Bool) : spécifie si la spline est fermée ou non. Si la spline est initialement ouverte, cette valeur est false, si vous lui attribuez la valeur true, un segment de courbe sera dessiné pour fermer la spline. Si la courbe est initialement fermée, cette valeur est true, la définir sur false supprimera le dernier segment de courbe et rendra la courbe ouverte.
  • DonnéesMake Face (Bool) : spécifie si la spline fait une face ou non. Si c'est true, une face est créée, sinon seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si DonnéesClosed est true et si le spline ne s'auto-intersecte pas.
  • DonnéesParameterization (Float) : affecte la forme de la spline.
  • DonnéesPoints (VectorList) : spécifie les points de la spline dans son système de coordonnées local.

Vue

Draft

  • VueArrow Size (Length) : spécifie la taille du symbole affiché à l'extrémité de la courbe.
  • VueArrow Type (Enumeration) : spécifie le type de symbole affiché à l'extrémité de la courbe, qui peut être Dot, Circle, Arrow, Tick ou Tick-2.
  • VueEnd Arrow (Bool) : spécifie s'il faut afficher un symbole à l'extrémité de la courbe spline, afin qu'elle puisse être utilisée comme ligne d'annotation.
  • VuePattern (Enumeration) : spécifie le Draft Motif avec lequel remplir la face de la courbe fermée. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est Flat Lines.
  • VuePattern Size (Float) : spécifie la taille du Draft Motif.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft B-spline, utilisez la méthode make_bspline (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeBSpline.

bspline = make_bspline(pointslist, closed=False, placement=None, face=None, support=None)
bspline = make_bspline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet bspline avec la liste de points donnée, pointslist.
    • Chaque point de la liste est défini par son FreeCAD.Vector, en millimètres.
    • Sinon, l'entrée peut être un Part.Wire à partir duquel les points sont extraits.
  • Si closed est True ou si les premier et dernier points sont identiques, la courbe est fermée.
  • Si un placement est None, la courbe est créée à l'origine.
  • Si face est True et la courbe est fermée, la courbe fera une face, c'est-à-dire qu'elle apparaîtra remplie.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

spline1 = Draft.make_bspline([p1, p2, p3], closed=False)
spline2 = Draft.make_bspline([p1, 2*p3, 1.3*p2], closed=False)
spline3 = Draft.make_bspline([1.3*p3, p1, -1.7*p2], closed=False)

doc.recompute()


Arrow-left.svg Page précédente: Draft Polygon.svg Polygone